Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content
Class ID

    java.lang.Object
      com.bea.content.ID

All Implemented Interfaces
  Serializable

    public class ID

extends Object
implements Serializable

The ID of a content element. The id includes the name of the Repository where it resides and also the unique id given by the repository.

See Also
  Serialized Form

Constructor Summary
`ID()` Empty constructor.
`ID(String uid)` Constructor with just the id.
`ID(String repositoryName, String uid)` Constructor with repositoryName and uid.

Method Summary
`int` | `compareTo(Object obj)` Compares this ID to obj
`boolean` | `equals(Object o)` Checks equality.
`static ID` | `fromString(String id)` Parses an id in path format and creates an ID instance from it.
`String` | `getRepositoryName()` Gets the name of the repository where the content element resides.
`String` | `getUid()` Gets the repository unique id for the content element.
`int` | `hashCode()` Returns a hash code value for the object.
`boolean` | `hasUid()` Returns true if the id is not null and not an empty String.
`void` | `setRepositoryName(String repositoryName)` Sets the name of the repository where the content element resides.
`void` | `setUid(String uid)` Sets the repository unique id for the content element.
`String` | `toString()` Returns ID in unix-path like format.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ID

    public ID()

  Empty constructor.

### ID

    public ID(String uid)

  Constructor with just the id. Most useful for an SPI implementation where the uid is known, but not the repositoryName as it will be set by the management layer.

### ID

    public ID(String repositoryName,
              String uid)

  Constructor with repositoryName and uid. When creating a ContentEntity, such as a Node, the repositoryName must be set, but the uid would be null (since it hasn't been created yet).

Method Detail

### getRepositoryName

    public String getRepositoryName()

  Gets the name of the repository where the content element resides.

### setRepositoryName

    public void setRepositoryName(String repositoryName)

  Sets the name of the repository where the content element resides.

### getUid

    public String getUid()

  Gets the repository unique id for the content element.

### setUid

    public void setUid(String uid)

  Sets the repository unique id for the content element.

### hasUid

    public boolean hasUid()

  Returns true if the id is not null and not an empty String.

### fromString

    public static ID fromString(String id)

  Parses an id in path format and creates an ID instance from it. Below are valid example combinations.
  - /repo/123 - repositoryName will be "repo" and uid will be "123"
  - /repo - repositoryName will be "repo" and uid will be an empty string.
  - repo - repositoryName will be "repo" and uid will be an empty string.

  Parameters
    `id` - in the format /repository/uid
  Returns
    ID the new ID.

### toString

    public String toString()

  Returns ID in unix-path like format. For example, an ID with repositoryName = "Repo" and uid = "123" would be returned as "/Repo/123".

  Overrides:
    `toString` in class `Object`

### compareTo

    public int compareTo(Object obj)

  Compares this ID to obj

### equals

    public boolean equals(Object o)

  Checks equality. O is equal to this if the repositoryName and the uid are equal.

  Overrides:
    `equals` in class `Object`
  Parameters
    `o` - the object to check equality on.
  Returns
    true if o is equal to this, false otherwise.

### hashCode

    public int hashCode()

  Returns a hash code value for the object.

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved